Bug 206401 - mkinitrd doesn't detect lvm if fstab uses LABELs -- root on lvm
mkinitrd doesn't detect lvm if fstab uses LABELs -- root on lvm
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 01:28 EDT by Jon Anhold
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 18:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Anhold 2006-09-14 01:28:03 EDT
Description of problem:

When upgrading kernel versions, specifically installing a new kernel rpm, the
mkinitrd doesn't detect the need for LVM if the root partition is specified in
/etc/fstab with LABEL=/ and root is on a logical volume. Change the line in
/etc/fstab to /dev/vg0/root, or whatever, and it works just fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. specify root partition in fstab with LABEL=/ (or any label), where the root
partition is on a logical volume
2. install a new kernel, or run mkinitrd
3. try and boot with that initrd image
  
Actual results:

No capture handy. "switchroot failed" error and kernel panic.

Expected results:

Booting system.

Additional info:
Comment 1 Peter Jones 2006-09-27 18:09:12 EDT
This hasn't _ever_ been supported, and isn't the way we set things up during
installation.

Note You need to log in before you can comment on or make changes to this bug.